<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Delete  															  |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.4 $
// +----------------------------------------------------------------------+

if(!$page) { exit; }

if ($_POST) {
    $id = $_POST["id"];
    if(!is_numeric($id)) { $page->fail($ERRORS["unknownrequest"]); }

    if(strlen($_POST["tripcode"])<1) {
        $page->fail($ERRORS["tripcodefail"]);
    }

    $image = getImage($id);
    if($image === false) {
        $page->fail($ERRORS["queryfail"]);
    }

    // Check tripcodes - original poster and MODERATORS can delete
    $tripcodes = explode(",",MODERATORS);
    $tripcode = tripcode($_POST["tripcode"]);
    if ($image["tripcode"] === $tripcode || in_array($tripcode,$tripcodes)) {
        if(deleteImage($id) === false) {
            $page->fail($ERRORS["queryfail"]);
        }
        echo $STRINGS["deletethanks"];
        echo JS_AUTO_CLOSE;
    } else {
        $page->fail($ERRORS["tripcodefail"]);
    }
		
} else {

    $id = $_GET["id"];
    if(!is_numeric($id)) { $page->fail($ERRORS["unknownrequest"]); }
    $image = getImage($id);
    if($image === false) {
        $page->fail($ERRORS["queryfail"]);
    }
    if($image["file"]) {
        $thumb = getImageUrl($id,$image["file"],true);
    }
    $title = $image["title"] ? $image["title"] : $STRINGS["untitled"];
    
    $vars = array(
        "title"     => $title,
        "name"      => $image["name"],
        "comment"      => htmlspecialchars(stripslashes($image["comment"])),
        "thumb"     => $thumb,
        "id"        => $id,
    );
    $tmpl = new HTML_Template_IT(TEMPLATE_DIR);
    $tmpl->loadTemplateFile("delete.tmpl");
    $tmpl->setVariable($vars);
    $tmpl->show();
}
?>
