<?php
/* vim: set et ts=4 sw=4 sts=4 ai: */
// +----------------------------------------------------------------------+
// | Prefs                                                                |
// +----------------------------------------------------------------------+
// | @version $Revision: 1.1 $
// +----------------------------------------------------------------------+

if(!$page) { exit; }

if($_GET["set"] == "true") {
    echo $STRINGS["prefset"];
    echo JS_AUTO_CLOSE;

} else if($_POST) {

    if($_POST["timezone"]) {
        // Sanity check - should be an int and divisible by 3600
        if(is_int(0+$_POST["timezone"]) && $_POST["timezone"]%3600==0) {
            setcookie("timezone",$_POST["timezone"],COOKIE_EXPIRES);
            echo $STRINGS["prefssuccess"];
            echo JS_AUTO_CLOSE;
        }
    }
    if($_POST["useFrame"] == "t") {
        setcookie("useFrame","t",2147483647,ROOT . "/");
    } else {
        setcookie("useFrame","",2147483647,ROOT . "/");
    }
    if($_POST["style"]) {
        // Passing a var over to Javascript land, so that the stylesheet
        // switcher doesn't reset the cookie above
        setcookie("style",$_POST["style"],365*24*60*60*1000);
    }
    if($_POST["name"]) {
        setcookie("name",$_POST["name"],COOKIE_EXPIRES);
    }
    if($_POST["tripcode"]) {
        setcookie("tripcode",$_POST["tripcode"],COOKIE_EXPIRES);
    }
    // Have to redirect here to avoid switcher.js messing with style cookie
    header("Location: " . ROOT . "/prefs?set=true");
    exit;

} else {

    $tmpl = new HTML_Template_IT(TEMPLATE_DIR);
    $tmpl->loadTemplateFile("prefs.tmpl");

    $vars = array();

    $timezone = $_COOKIE["timezone"] ? $_COOKIE["timezone"] : "";
    $server_time = date("Z");

    for($i=-43200; $i<43200; $i+=3600) {
        if($timezone) {
            $selected = $i == $timezone ? 'selected="selected"' : '';
        } else {
            $selected = $i == $server_time ? 'selected="selected"' : '';
        }
        $tmpl->setCurrentBlock("timezone");
        $tmpl->setVariable(array(
            "tzvalue" => $i,
            "tzselected" => $selected,
            "tzlabel" => date("D H:ia",date("U")+$i-$server_time),
        ));
        $tmpl->parseCurrentBlock();
    }

    $tmpl->show();
    return;
}
?>
